/* ──────────────── RESET ──────────────── */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Noto Sans KR", sans-serif;
}

img {
    display: block;
    max-width: 100%;
}

a {
    text-decoration: none;
    color: inherit;
}

ul {
    list-style: none;
}

body {
    color: var(--font-primary);
    padding-left: var(--gutter);
    padding-right: var(--gutter);
}

/* ──────────────── Layout Helpers ──────────────── */
.container {
    width: 100%;
    max-width: 1220px; /* 여기서 조절! */
    margin-inline: auto;
}

.full-bleed {
    position: relative;
    left: 50%;
    width: calc(100vw + var(--gutter) * 2);
    margin-left: calc(-50vw - var(--gutter));
    margin-right: calc(-50vw - var(--gutter));
    padding-inline: 0 !important;
}

.btn {
    display: inline-block;
    padding: 12px 28px;
    background: var(--btn-primary-bg);
    color: var(--btn-primary-text);
    border-radius: 30px;
    font-weight: 700;
    transition: 0.25s;
}

.btn:hover {
    filter: brightness(0.95);
}

.pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
    margin: 28px 0 20px 0;
    font-size: 1.08em;
    margin-bottom: 100px;
}

.pagination button {
    border: none;
    background: none;
    cursor: pointer;
    font-family: inherit;
    font-size: inherit;
    color: #444;
    padding: 3px 9px 3px 9px;
    border-radius: 50%;
    min-width: 34px;
    min-height: 34px;
    transition: background 0.18s, color 0.18s;
    font-weight: 400;
}

.pagination button.active {
    background: #518DFC;
    color: #fff;
    font-weight: 700;
}

.pagination button:disabled {
    color: #bcbcbc;
    background: none;
    cursor: not-allowed;
    font-weight: 400;
    opacity: 0.4;
}

.pagination button:not(:disabled):hover:not(.active) {
    background: #f4f4f4;
    color: #111;
}

.page-numbers .page-btn.active {
    border-color: var(--btn-secondary-border);
    background-color: white;
    color: var(--btn-secondary-border);
}

.ql-editor {
    word-wrap: break-word !important;
    overflow-wrap: break-word !important;
    word-break: break-word !important;
    white-space: pre-wrap !important;
}

